%%% -------------------------------------------------------
%%% @author huangyongxing@yeah.net
%%% @doc
%%% 模拟客户端 cli_role数据管理
%%% @end
%%% -------------------------------------------------------
-module(cli_role_ets).
-export([
        init_role_tab/0
        , get_client_pids/0
    ]).
-include("cli_simu.hrl").

%% 由管理进程调用创建的角色数据缓存ETS表
init_role_tab() ->
    ets:new(?CLI_ROLE, [set, named_table, public, {keypos, #cli_role.id}]).

%% 获取客户端pids
get_client_pids() ->
    ets:select(?CLI_ROLE, [{#cli_role{pid = '$1', _ = '_'}, [], ['$1']}]).

